﻿topicarray["33af5f56a21126ae92c22855c965d347"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eSmoothing of the path velocity\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"introduction\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eIntroduction\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe velocity control function utilizes the specified axial dynamic response. If the programmed feedrate cannot be achieved, the path velocity is brought to the parameterized axial limit values and the limit values of the path (velocity, acceleration, jerk). This can lead to repeated braking and acceleration on the path.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf a short acceleration takes place during a machining function with high path velocity, and is thus followed almost immediately by braking, the reduction in the machining time is only minimal. Acceleration of this kind can, however, have undesirable effects if, for example, it results in machine resonance.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn some applications in mold making, especially in the case of high-speed cutting, it is desirable to achieve a constant path velocity. In these cases, it can therefore be reasonable to sacrifice transient acceleration processes in favor of a smoother tool path velocity.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eFunction\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eSmoothing\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003ePath velocity\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf the \"smoothing the path velocity\" function is active, a smoothing factor, which determines the maximum permissible productivity loss, takes effect with a view to achieving smoother path velocity control: Acceleration processes which contribute less than this factor to a shorter program runtime are not performed. Account is only taken of acceleration processes whose frequencies lie above the configurable limit frequencies of of the axes involved.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBenefits:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAvoidance of excitations of possible machine resonance due to continuous, transient braking and acceleration processes (in the area of less IPO cycles).\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eAvoidance of constantly varying cutting rates due to acceleration which brings no significant shortening of the program running time.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe smoothing of the path velocity does not lead to contour errors.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eVariations in axis velocity due to curvatures in the contour at constant path velocity may continue to occur and are not reduced with this function.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eVariations in path velocity due to the input of a new feedrate are not changed either. This remains the responsibility of the programmer of the subprogram.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"condition\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eRequirements\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe smoothing of the path velocity is only effective in continuous-path mode with LookAhead over multiple blocks with SOFT and BRISK. Smoothing is \u003c/span\u003e\u003cspan class=\"b\"\u003enot\u003c/span\u003e\u003cspan\u003e effective with G0.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe controller\u0027s cycle times must be configured in such a way that preprocessing can prepare sufficient blocks to enable an acceleration process to be analyzed.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eActivation/deactivation\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \"smoothing of the path velocity\" function is activated/deactivated with the machine data:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD20460 $MC_LOOKAH_SMOOTH_FACTOR (smoothing factor for LookAhead) \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eMD20460\u003c/span\u003e\u003c/span\u003e\u003cspan\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.7%\" /\u003e\u003ccol width=\"88.2%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eValue\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0.0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSmoothing of the path velocity \u003c/span\u003e\u003cspan class=\"b\"\u003enot\u003c/span\u003e\u003cspan\u003e active (default)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e\u0026gt; 0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSmoothing of the path velocity active\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eA change in the MD setting is only made effective through NEW CONF.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eParameterization\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"b\"\u003eSmoothing factor\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe smoothing factor is set via the channel-specific machine data:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD20460 $MC_LOOKAH_SMOOTH_FACTOR (smoothing factor for LookAhead) \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eMD20460\u003c/span\u003e\u003c/span\u003e\u003cspan\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe percentage value defines how much longer a processing step without accelerations/decelerations may be than the corresponding step with accelerations/decelerations.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis would be a \"worst-case\" value, if all accelerations within the part program, except the initial approach motion, were smoothed. The actual extension will always be smaller, and may even be 0, if the criterion is not met by any of the accelerations. Values between 50 and 100% may also be entered without significantly increasing the machining time.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"b\"\u003eConsideration of the programmed feed\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe path velocity can be smoothed with or without taking the programmed feedrate into consideration. The selection is made via the machine data:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD20462 $MC_LOOKAH_SMOOTH_WITH_FEED (path smoothing with programmed feedrate) \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eMD20462\u003c/span\u003e\u003c/span\u003e\u003cspan\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"8.8%\" /\u003e\u003ccol width=\"91.1%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eValue\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eMeaning\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eProgrammed feedrate is \u003c/span\u003e\u003cspan class=\"b\"\u003enot\u003c/span\u003e\u003cspan\u003e taken into consideration.\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eProgrammed feedrate is considered (default setting).\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eWhen considering the programmed feedrate, the specified smoothing factor (see MD20460) is maintained better when the override is 100%.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan class=\"b\"\u003eAxis-specific limit frequencies\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe axis-specific limit frequencies are defined via the machine data:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD32440 $MA_LOOKAH_FREQUENCY (smoothing frequency for LookAhead) \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eMD32440\u003c/span\u003e\u003c/span\u003e\u003cspan\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAcceleration and deceleration processes, which run with a high frequency, are smoothed depending upon the parameterization of the following machine data or else are reduced in dynamics:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD20460 $MC_LOOKAH_SMOOTH_FACTOR (smoothing factor for LookAhead) \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eMD20460\u003c/span\u003e\u003c/span\u003e\u003cspan\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD20465 $MC_ADAPT_PATH_DYNAMIC (adaptation of the dynamic path response)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFor further information on MD20465, see Section \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk887b7bbf-83cd-4064-8286-7f8b849191026a380f3659cc255b0640983225008c27\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"6a380f3659cc255b0640983225008c27\" data-targettype=\"TOPIC\" data-targetdocument=\"28d17d30633e48c7e707a522aed7df5c\" data-targetdetail=\"6a380f3659cc255b0640983225008c27\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eAdaptation of the dynamic path response\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk887b7bbf-83cd-4064-8286-7f8b849191026a380f3659cc255b0640983225008c27\" data-id=\"hs_chk887b7bbf-83cd-4064-8286-7f8b849191026a380f3659cc255b0640983225008c27\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk887b7bbf-83cd-4064-8286-7f8b849191026a380f3659cc255b0640983225008c27\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf vibrations are generated in the mechanical system of an axis and if the corresponding frequency is known, MD32440 should be set to a value smaller than this frequency.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe needed resonance frequencies can be calculated using the built-in measuring functions.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eMode of operation\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe minimum value for MD32440 is calculated as f\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003epath\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e on the basis of the axes involved in the path. For the smoothing only those acceleration processes are taken into consideration, in which the start and the end velocity of this motion are reached within the time given below:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003et = t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = 2 / f\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003epath\u003c/sub\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThese acceleration processes are dispensed with if the resulting extension in the processing time does not exceed the limit specified in excess of the smoothing factor (MD20460).\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExample\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following parameters are assumed:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD20460 $MC_LOOKAH_SMOOTH_FACTOR = 10%\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD32440 $MA_LOOKAH_FREQUENCY[AX1] = 20 Hz\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD32440 $MA_LOOKAH_FREQUENCY[AX2] = 20 Hz\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eMD32440 $MA_LOOKAH_FREQUENCY[AX3] = 10 Hz\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe path involves the three axes X = AX1, Y = AX2, Z = AX3.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe minimum value of MD32440 for these three axes is thus 10 Hz. This means that any acceleration, which is completed within a period of t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e = 2/10 Hz = 200 ms, is examined. The time t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e is the time it takes to reach velocity v\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e again following an acceleration process starting from velocity v\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e. The extending of the execution time is also only considered within this range.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf the time t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e is greater than 200 ms or if the additional program execution time t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e3\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e is more than 10% (= MD20460) of t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e, the following time characteristic applies:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cdiv id=\"33af5f56a21126ae92c22855c965d347803573771_0\" /\u003e\u003cimg src=\"images/103753808907_DV_resource.Stream@PNG-de-DE.png\" docVersionId=\"112621155211\" language=\"en-US\" class=\"img_free\" id=\"112621155211_33af5f56a21126ae92c22855c965d347_103753808907_DV_resource\" width=\"373\" /\u003e\u003cdiv class=\"p imageTitle\"\u003e\u003cspan class=\"imageTitle\"\u003e\u003cspan\u003eCharacteristic of time-optimum path velocity (without smoothing)\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf, however, the time t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e is less than 200 ms or if the additional program execution time t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e3\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e is no more than 10% of t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e2\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e - t\u003c/span\u003e\u003cspan class=\"sub\"\u003e\u003csub\u003e1\u003c/sub\u003e\u003c/span\u003e\u003cspan\u003e, the following time characteristic applies:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cdiv id=\"33af5f56a21126ae92c22855c965d347803585163_0\" /\u003e\u003cimg src=\"images/103753923339_DV_resource.Stream@PNG-de-DE.png\" docVersionId=\"112621155211\" language=\"en-US\" class=\"img_free\" id=\"112621155211_33af5f56a21126ae92c22855c965d347_103753923339_DV_resource\" width=\"295\" /\u003e\u003cdiv class=\"p imageTitle\"\u003e\u003cspan class=\"imageTitle\"\u003e\u003cspan\u003eCharacteristic of the smoothed path velocity\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}