﻿topicarray["af6b76e021f1ab1193a1b47a47c9052e"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eFC3: GP_PRAL - basic program, interrupt­driven section\u003c/div\u003e\u003cdiv class=\"prolog-container\" /\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eFunction\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFC3 GP_PRAL (basic program, alarm­driven section)\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBlock-synchronized transfers from the NC to the PLC (auxiliary and G commands) are processed in the alarm-driven part of the basic program. \u003c/span\u003e\u003cspan class=\"b\"\u003eAuxiliary functions\u003c/span\u003e\u003cspan\u003e are subdivided into normal and high­speed auxiliary functions.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe high­speed functions of an NC block are buffered and the transfer acknowledged to the NC. These are transferred to the application interface at the start of the next OB1 cycle.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eHigh­speed auxiliary functions programmed immediately one after the other, are not lost for the user program. This is ensured by a mechanism in the basic program.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eNormal auxiliary functions are acknowledged to the NC only after one completed cycle duration. This allows the application to issue a read disable to the NC.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \u003c/span\u003e\u003cspan class=\"b\"\u003eG commands\u003c/span\u003e\u003cspan\u003e are evaluated immediately and passed to the application interface.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eNC process alarms\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf the interrupt is triggered by the NC (possible in each IPO cycle), a bit in the local data of OB40 (\"GP_IRFromNCK\") is set by the basic program, only when the FB1 parameter \"UserIR\" is TRUE. This data is not set on other events (process alarms through I/Os). This information makes it possible to branch into the associated interrupt routine in the user program in order to initiate the necessary action.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTo be able to implement high­speed, job­driven processing of the user program for the machine, the following NC functions are available in the interrupt processing routine (OB40 program section) for the PLC user program:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eSelected \u003c/span\u003e\u003cspan class=\"b\"\u003eauxiliary functions\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"b\"\u003eTool-change function\u003c/span\u003e\u003cspan\u003e for tool-management option\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"b\"\u003ePosition reached\u003c/span\u003e\u003cspan\u003e for positioning axes, indexing axes and spindles with activation via PLC\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions listed above can or must be evaluated by the user program in OB40 in order to initiate reactions on the machine. As an example, the revolver switching mechanism can be activated when a T command is programmed on a turning machine.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFor further details on programming process alarms (time delay, interruptibility, etc.) refer to the corresponding SIMATIC documentation.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eAuxiliary functions\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eGenerally, high-speed or acknowledging auxiliary functions are processed with or without interrupt control independently of any assignment.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBasic-program parameters in FB1 can be set to define which auxiliary functions (T, H, DL) must be processed solely on an interrupt­driven basis by the user program.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFunctions which are not assigned via interrupts are only made available by the cyclic basic program as in earlier versions. The change signals of these functions are available in a PLC cycle.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eEven if the selection for the auxiliary function groups (T, H, DL) is made using interrupt control, only one interrupt can be processed by the user program for the selected functions.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eA bit is set for a specific channel in the local data \"GP_AuxFunction\" for the user program (if \"GP_AuxFunction[1]\" is set, an auxiliary function is available for the 1st channel).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn the related channel-DB the change signal and the function value are available for the user. The request signal of this interrupt-driven function is reset to zero in the cyclic basic program section after the execution of at least one full OB1 cycle (max. approx. two OB1 cycles).\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eTool change\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eWith the tool-management option, the tool-change command for revolver and the tool change in the spindle is supported by an interrupt. The local data bit \"GP_TM\" in OB40 is set for this purpose. The PLC user program can thus check the tool management DB (DB72 or DB73) for the tool change function and initiate the tool change operation.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ePosition reached\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn the bit structure, \"GP_InPosition\" of the local data of OB40 is specific to the machine axis (each bit corresponds to an axis/spindle, e.g. GP_InPosition[5] corresponds to the 5th axis).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf a function has been activated via FC18 (spindle control, positioning axis, indexing axis) for an axis or spindle, the associated \"GP_InPosition\" bit can be used to implement instantaneous evaluation of the \"InPos\" signal of the FCs listed above. This feature can be used, for example, to obtain immediate activation of clamps for an indexing axis.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eDeclaration\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_listing\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"66.7%\" /\u003e\u003ccol width=\"33.3%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eFUNCTION FC3: VOID\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e// No parameters\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eCall example\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAs far as the time is concerned, the basic program must be executed \u003c/span\u003e\u003cspan class=\"b\"\u003ebefore \u003c/span\u003e\u003cspan\u003eother alarm-driven user programs. It is, therefore, called first in OB40.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following example contains the standard declarations for OB40 and the call for the basic program.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"4.4%\" /\u003e\u003ccol width=\"27.1%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"20.1%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"48.2%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eORGANIZATION_BLOCK OB40\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eVAR_TEMP\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_EV_CLASS :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_STRT_INF :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_PRIORITY :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_OB_NUMBR :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_RESERVED_1 :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_MDL_ID :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_MDL_ADDR :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eINT;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_POINT_ADDR :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDWORD;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eOB40_DATE_TIME :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDATE_AND_TIME;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Assigned to basic program\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eGP_IRFromNCK : BOOL;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Interrupt by NC for user\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eGP_TM : BOOL;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Tool management\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eGP_InPosition : ARRAY [1..3] OF BOOL; \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Axis-oriented for positioning, \u003cbr /\u003e//Indexing axes, spindles\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eGP_AuxFunction : ARRAY [1..10] OF BOOL;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Channel-oriented for auxiliary functions\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eGP_FMBlock : ARRAY [1..10] OF BOOL;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Currently not used\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//Further local user data may be defined from this point onwards\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eEND_VAR\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBEGIN\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eCALL FC3;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e//INSERT USER PROGRAM HERE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eEND_ORGANIZATION_BLOCK\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}