﻿topicarray["b639df4a48a49d8328e2e51849e87445"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eFC13: BHGDisp - display control for handheld unit\u003c/div\u003e\u003cdiv class=\"prolog-container\" /\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eFunction   \u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eFC13 BHGDisp\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBlock FC13 \"BHGDisp\" handles the display control for the handheld unit (HHU or HT 2). The information that is to appear on the display must be saved to a string variable. The pointer to the string is specified in the parameter \"ChrArray\". To do this, a fixed text assignment of 32 characters (HHU) or 64 characters (HT 2) is needed when the data block for this string is created.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e16 characters are sent to the HHU per job. The assignment of the characters in the \"ChrArray\" for the respective line is unambiguous. For line 1, characters 1 to 16 and for line 2, characters 17 to 32 of the string data ChrArray are transferred. In addition, for HT 2 line 3 with characters 33 to 48 is displayed and line 4 with characters 49 to 64. A job takes several OB1 cycles.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eDisplay\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eBlock FC13 checks whether the necessary minimum length of the \"ChrArray\" exists for operating the handheld unit. If fewer characters exist in the string variables than should be displayed, the line is filled with blank spaces. If several variables are to be entered in the string in one or more PLC cycles without a display output, the display output can be suppressed by parameter \"Row\" = 0. The transfer of the characters to the rows takes several OB1 cycles. If several rows are to be updated \"simultaneously\" (parameter \"Row\" \u0026gt; 1), the rows are updated successively with 16 characters per row.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eVariable portions \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eVariable components within the string can be inserted using the optional number converter functionality with the parameter \"Convert\" = 1. The variable to be displayed is referenced via the parameter \"Addr\". The format of the variables is described in the parameter \"DataType\". The number of bytes of the variable is linked to the format description. The address justified to the right within the string is specified by parameter \"StringAddr\". The number of written characters is shown in the parameter table.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eHigh display resolution\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf, for example, the axis value is to be displayed with a higher resolution, the following must be observed:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eThe variables are read as before with FB2 or FB5. Instead of anypointer BYTE 8 as criterion for output as 64-bit floating point number, REAL 2 is used (e.g.: P#M100.0 REAL 2).\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eWhen specifying the 64-bit floating point number on the HHU/HT 2, you can select the output format with up to 14 places, distributed freely before and after the decimal point, instead of fixed, specified formats.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eHHU output signals\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eByte 1 is used by the HHU output signals and the character specifications are used by the block FC13. These may not be written by the PLC user program.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eRelevant FB1 parameters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eHandheld unit HHU\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn OB100, the FB1 parameters must be set for the input and output data of the handheld unit:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eParameter \"BHGIn\" corresponds to the input data of the PLC from the handheld unit (data received by PLC)\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eParameter \"BHGOut\" corresponds to the output data of the PLC to the handheld unit (data transmitted by PLC). \u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe two pointers must be set to the starting point of the relevant data area, which is also parameterized in SDB 210 with an MPI link.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe FB1 parameter \"HHU\" = 2 must be set for operating an HHU.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eHT 2 handheld terminal\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf HT 2 is used, FB1 parameter \"HHU\" = 5 must be set. The parameters of the input and output data must be set, as described in the above paragraph \"Handheld Unit HHU\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe value that was configured at S2 of the DIP-Fix switch (rotary coding switch) of the connecting module of the HT 2 must be assigned to the parameters \"BHGRecGDNo\" and \"BHGRecGBZNo\".\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eDeclaration of the function\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"3.4%\" /\u003e\u003ccol width=\"2.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"14.3%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"2.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"14.3%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"64.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDATA_BLOCK \"strdat\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eSTRUCT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003edisp:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd colspan=\"3\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eSTRING [32]:= \u0027character_line1 character_line2\u0027;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eEND_STRUCT;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBEGIN\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eEND_DATA_BLOCK\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"6\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eFUNCTION FC13: VOID\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"5\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eVAR INPUT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eRow :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eChrArray :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eSTRING ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eConvert :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBOOL;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eAddr:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePOINTER;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDataType :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eStringAddr :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eINT;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDigits :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBYTE ;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eEND VAR\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eVAR OUTPUT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eError :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eBOOL;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"4\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eEND VAR\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eDescription of formal parameters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"16.0%\" /\u003e\u003ccol width=\"7.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"12.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"25.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"40.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eSignal\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_cb floating-text\"\u003e\u003cspan\u003eType\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_cb floating-text\"\u003e\u003cspan\u003eType\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_cb floating-text\"\u003e\u003cspan\u003eValue range\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eDescription\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRow :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBYTE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0, 1, 2, ... 8\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eB#16#F\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDisplay line \"binary\" evaluation\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0: no display output\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1: Line 1\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2: Line 2\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3: Line 1 and line 2 to be changed\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4: Line 3\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5: Line 1 and line 3 to be changed\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8: Line 4\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB#16#F automatic change of all 4 lines\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eChrArray :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eSTRING\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e\"DBName\".\u0026lt;VarName\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDisplay content as pointer to string\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003estring[\u003c/span\u003e\u003cspan class=\"b\"\u003e32\u003c/span\u003e\u003cspan\u003e]: not HT 2\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003estring[\u003c/span\u003e\u003cspan class=\"b\"\u003e64\u003c/span\u003e\u003cspan\u003e]: HT 2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eConvert :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBOOL\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0 (FALSE), 1 (TRUE)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eActivation of numerical conversion\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAddr:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003ePointer\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003ePointer to the variable to be converted\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDataType:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBYTE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e1, 2, 3 ... 8, \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eB#16#13,\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eB#16#30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eData type of the tag\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1: BOOL, 1 character\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2: BYTE, 3 characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3: CHAR, 1 character\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4: WORD, 5 characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5: INT, 6 characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6: DWORD, 7 characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7: DINT, 8 characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8: REAL, 9 characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e(7 digits plus a sign and a decimal point; for places after the decimal point, refer to the Digits Parameter)\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB#16#13: String, up to 32/64 characters, \"Addr\" must be a pointer to a STRING.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB#16#30: REAL64,\u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e(12 characters: 10 digits plus a sign and a decimal point; for places after the decimal point, refer to the Digits Parameter)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eStringAddr :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eINT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e1 ... 32 / 64\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eRight-justified address within variable from \"ChrArray\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDigits :\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eI\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBYTE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e1, 2, 3 ... 9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eNumber of places after the decimal point:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1 ... 4: DataType REAL\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1 ... 9: DataType REAL64\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eError:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eO\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBOOL\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0 (FALSE), 1 (TRUE)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eError\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1: An error occurred\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eRanges of values\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"50.0%\" /\u003e\u003ccol width=\"50.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_cb floating-text\"\u003e\u003cspan\u003eRanges of values of data types\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"second\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_cb floating-text\"\u003e\u003cspan\u003eData type\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_cb floating-text\"\u003e\u003cspan\u003eRepresentable numerical range\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBOOL\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0, 1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eBYTE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0 ... 255\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eWORD\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0 ... 65535\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eINT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e- 32768 ... 32767\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eDWORD\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e0 ... 9999999\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eDINT\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e-9999999 ... 9999999\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eREAL (Digits := 1)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e-999999.9 ... 999999.9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eREAL (Digits := 2)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e-99999.99 ... 99999.99\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eREAL (Digits := 3)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e-9999.999 ... 9999.999\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e...\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e...\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003eREAL (Digits := 9)\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_c floating-text\"\u003e\u003cspan\u003e-0.9999999 ... 0.9999999\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eCall example\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e// DB with name strdat in the simple table, data element disp is declared as String[32] (for HT 2: \u003c/span\u003e\u003cbr /\u003e\u003cspan\u003e// String[64]) and completely assigned with characters\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"3.2%\" /\u003e\u003ccol width=\"18.9%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"18.9%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"58.9%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd colspan=\"2\" class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eCALL FC13(\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eRow :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eMB 26,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eChrArray :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e\"strdat\".disp,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eConvert :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eM 90.1,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eAddr :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eP#M 20.0,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e// Number to be converted\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDataType :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eMB 28,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e// Data type of the variables\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eStringAddr :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eMW 30,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eDigits :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eB#16#3,\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e// 3 decimal places\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eError :=\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eM 90.2);\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}