﻿topicarray["46c4f65b8705a705d6d9fe8b789b4eef"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eTraversing in the direction of tool orientation (MOVT)\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eTypical application\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eG91 extension\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eZero point offset\u003c/span\u003e\u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eMachining in direction of tool orientation\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eOn machines with toolholders with orientation capability, traversing should take place in the tool direction (typically, when drilling) without activating a frame (e.g., using \u003c/span\u003e\u003cspan class=\"code\"\u003eTOFRAME\u003c/span\u003e\u003cspan\u003e or \u003c/span\u003e\u003cspan class=\"code\"\u003eTOROT\u003c/span\u003e\u003cspan\u003e), on which one of the axes points in the direction of the tool.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThis is also true of machines on which a frame defining the oblique plane is active during oblique machining operations, but the tool cannot be set exactly perpendicular because an indexed toolholder (Hirth tooth system) is restricting the setting of the tool orientation.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIn these cases it is then necessary - contrary to the motion actually requested perpendicular to the plane - to drill in the tool direction, as the drill would otherwise not be guided in the direction of its longitudinal axis, which, among other things, would lead to breaking of the drill.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eMOVT\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe end point of such a motion is programmed with \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT= ...\u003c/span\u003e\u003cspan\u003e. The programmed value is effective incrementally in the tool direction as standard. The positive direction is defined from the tool tip to the toolholder. The content of \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e is thus generally negative for the infeed motion (when drilling), and positive for the retraction motion. This corresponds to the situation with normal paraxial machining, e.g., with \u003c/span\u003e\u003cspan class=\"code\"\u003eG91\u003c/span\u003e\u003cspan class=\"code\"\u003eZ ...\u003c/span\u003e\u003cspan\u003e.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf the motion is programmed in the form \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT=AC( ...)\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e functions absolutely. In this case a plane is defined, which runs through the current zero point, and whose surface normal vector is parallel to the tool orientation. \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e then gives the position relative to this plane:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cdiv id=\"46c4f65b8705a705d6d9fe8b789b4eef818570379_0\" /\u003e\u003cimg src=\"images/103851912075_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"112621155211\" language=\"en-US\" class=\"img_free\" id=\"112621155211_46c4f65b8705a705d6d9fe8b789b4eef_103851912075_DV_resource\" width=\"549\" /\u003e\u003cdiv class=\"p imageTitle\"\u003e\u003cspan class=\"imageTitle\"\u003e\u003cspan\u003eDefinition of the position for absolute programming of a motion in tool direction\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe reference to this auxiliary plane serves only to calculate the end position. Active frames are not affected by this internal calculation.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eInstead of \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT= ...\u003c/span\u003e\u003cspan\u003e it is also possible to write \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT=IC( ...)\u003c/span\u003e\u003cspan\u003e if it is to be plainly visible that \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e is to function incrementally. There is no functional difference between the two forms.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSupplementary conditions\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following supplementary conditions apply to programming with \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIt is independent of the existence of a toolholder with orientation capability. The direction of the motion is dependent on the active plane. It runs in the direction of the vertical axes, i.e., with \u003c/span\u003e\u003cspan class=\"code\"\u003eG17\u003c/span\u003e\u003cspan\u003e in Z direction, with \u003c/span\u003e\u003cspan class=\"code\"\u003eG18\u003c/span\u003e\u003cspan\u003e in Y direction and with \u003c/span\u003e\u003cspan class=\"code\"\u003eG19\u003c/span\u003e\u003cspan\u003e in X direction. This applies both where no toolholder with orientation capability is active and for the case of a toolholder with orientation capability without rotary tool or with a rotary tool in its basic setting.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e acts similarly for active orientation transformation (3­4­5­axis transformation).\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eIf in a block with \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e the tool orientation is changed simultaneously (e.g., active 5­axis transformation by means of simultaneous interpolation of the rotary axes), the orientation at the start of the block is decisive for the direction of movement of \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e. The path of the tool tip (TCP - Tool Center Point) is not affected by the change in orientation.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eLinear or spline interpolation (\u003c/span\u003e\u003cspan class=\"code\"\u003eG0\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eG1\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eASPLINE\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eBSPLINE\u003c/span\u003e\u003cspan\u003e, \u003c/span\u003e\u003cspan class=\"code\"\u003eCSPLINE\u003c/span\u003e\u003cspan\u003e) must be active. Otherwise, an alarm is produced. If a spline interpolation is active, the resultant path is generally not a straight line, since the end point determined by \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e is treated as if it had been programmed explicitly with X, Y, Z.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003eA block with \u003c/span\u003e\u003cspan class=\"code\"\u003eMOVT\u003c/span\u003e\u003cspan\u003e must not contain any programming of geometry axes (alarm 14157).\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}